V1 Update Silence Management Settings#
Update silence management settings. V1 agents only.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
end_call_after_silence_msintegerbody
One of: 1000. min 1000. send only when changing this field
silence_timeout_msintegerbody
One of: 1000. min 1000. send only when changing this field
end_call_after_silence_secnumberbody
One of: 1. min 1. send only when changing this field
endAfterSilenceThresholdSecondsintegerbody
One of: 10. min 10. may be null. send only when changing this field
isEnabledbooleanbody
send only when changing this field
maxReminderAttemptsintegerbody
One of: 0. min 0. max 10. send only when changing this field
reminderSilenceThresholdSecondsintegerbody
One of: 2. min 2. max 30. send only when changing this field
endWhenReminderLimitExceededbooleanbody
send only when changing this field
silenceEnableExtendedTimeoutbooleanbody
send only when changing this field
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v1/manage/call-handling/silence-management/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"end_call_after_silence_ms":1,"silence_timeout_ms":1,"end_call_after_silence_sec":"1","endAfterSilenceThresholdSeconds":1,"isEnabled":true,"maxReminderAttempts":1,"reminderSilenceThresholdSeconds":1,"endWhenReminderLimitExceeded":true,"silenceEnableExtendedTimeout":true}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records